#!/bin/sh

set -e

# Check if /home has any subdirectories
if [ "$(ls -A /home)" ]; then
    for u in /home/*; do
        # Check if the current item is a directory
        if [ -d "$u" ]; then
            if [ ! -f "${u}/.config/hypr/hypridle.conf" ]; then
                cp -a /etc/skel/. "${u}/"
                chown -R "$(basename "$u"):$(basename "$u")" "${u}/"
            fi
        fi
    done
else
    echo "/home is empty. No user directories to process."
fi